block.settings.foundation_anchor_menu_block_block:
  type: block_settings
  label: 'Foundation anchor menu block configuration'
  mapping:
    menu_orientation:
      type: string
      label: 'Menu orientation'
    menu_horizontal_breakpoint:
      type: string
      label: 'Menu horizontal breakpoint'
    list_classes_additional:
      type: string
      label: 'Additional classes'
    animation_duration:
      type: integer
      label: 'Animation duration'
    animation_easing:
      type: 'string'
      label: 'Animation easing'
    threshold:
      type: integer
      label: 'Threshold'
    active_class:
      type: string
      label: 'Active class'
    active_body_class:
      type: string
      label: 'Active body class'
    deeplinking:
      type: boolean
      label: 'Deeplinking'
    update_history:
      type: boolean
      label: 'Update history'
    offset_top_bar_selector:
      type: string
      label: 'Offset top bar selector'
    offset:
      type: integer
      label: 'Offset'
